#include <bits/stdc++.h>
#include "vision.h"
using namespace std;

vector<int> getVisionPattern1d() {
    srand(time(0));
    return {1, 2, 1};
}

int getMove1d(vector<int> v) {
    int mij = v[v.size() / 2 + 1];
    switch(mij) {
        case 1: return (0 == rand() % 2 ? 0 : v.size() - 1);
        case 2: return (0 == rand() % 2 ? 0 : v.size() - 1);
    }
}

vector<vector<int>> getVisionPattern2d() {return {{1}};}

pair<int, int> getMove2d(vector<vector<int>> v) {return {0, 0};}
